<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SPI Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classSPI.html">SPI</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classSPI.html#a26f31b5eb7b69e66761d387116ea0003">DEFAULT_CLK_PIN</a></td><td class="entry"><a class="el" href="classSPI.html">SPI</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSPI.html#a7ed47313c92be5762bb61a6d69a58d7e">DEFAULT_CS_PIN</a></td><td class="entry"><a class="el" href="classSPI.html">SPI</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSPI.html#af64304a498004d8abd46931cfbb5bba6">DEFAULT_MISO_PIN</a></td><td class="entry"><a class="el" href="classSPI.html">SPI</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSPI.html#a311aea82b4ba1b8b57ac88ec62c94bf2">DEFAULT_MOSI_PIN</a></td><td class="entry"><a class="el" href="classSPI.html">SPI</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSPI.html#a832556869c632024fe6ab92473854131">init</a>(int mosiPin=DEFAULT_MOSI_PIN, int misoPin=DEFAULT_MISO_PIN, int clkPin=DEFAULT_CLK_PIN, int csPin=DEFAULT_CS_PIN)</td><td class="entry"><a class="el" href="classSPI.html">SPI</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSPI.html#acebfbe004601caf512d1b5b84b1a0967">PIN_NOT_SET</a></td><td class="entry"><a class="el" href="classSPI.html">SPI</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSPI.html#a85ec652a3a1eb453f6b9938a45b599c9">setHost</a>(spi_host_device_t host)</td><td class="entry"><a class="el" href="classSPI.html">SPI</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSPI.html#a2ba081c29fbdecc704c6bf00b24d5205">SPI</a>()</td><td class="entry"><a class="el" href="classSPI.html">SPI</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSPI.html#a3d0d6d9b84a7191b4a95971eee25f746">transfer</a>(uint8_t *data, size_t dataLen)</td><td class="entry"><a class="el" href="classSPI.html">SPI</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSPI.html#aff890367df7fa27734d18c772eb227df">transferByte</a>(uint8_t value)</td><td class="entry"><a class="el" href="classSPI.html">SPI</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSPI.html#a6babebf1ea3e8ff0330f43a3e2312ac4">~SPI</a>()</td><td class="entry"><a class="el" href="classSPI.html">SPI</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
